> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Fiats to PFI Account

> Add fiat currencies and assets to a PFI Account using the data provided in the request body.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/accounts/{id}/fiats
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/accounts/{id}/fiats:
    post:
      tags:
        - Accounts
      summary: Add Fiats to PFI Account
      description: >-
        Add fiat currencies and assets to a PFI Account using the data provided
        in the request body.
      operationId: AccountsController_createAccountFiats
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/AccountFiatDto'
      responses:
        '201':
          description: Successfully created account Fiats data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountFiatEntity'
        '400':
          description: The account Fiats data is invalid or incomplete.
        '404':
          description: The Account with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    AccountFiatDto:
      type: object
      properties:
        fiat:
          description: Fiat currency identifier supported by the PFI account.
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        providerId:
          type: string
      required:
        - fiat
    AccountFiatEntity:
      type: object
      properties:
        id:
          type: string
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
      required:
        - id
        - fiat
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````